## WebKitDOMTextTrackCue WebKitDOMTextTrackCue |

## Functions

WebKitDOMDocumentFragment * | webkit_dom_text_track_cue_get_cue_as_html ()
gboolean | webkit_dom_text_track_cue_dispatch_event ()
WebKitDOMTextTrack * | webkit_dom_text_track_cue_get_track ()
gchar * | webkit_dom_text_track_cue_get_id ()
void | webkit_dom_text_track_cue_set_id ()
gdouble | webkit_dom_text_track_cue_get_start_time ()
void | webkit_dom_text_track_cue_set_start_time ()
gdouble | webkit_dom_text_track_cue_get_end_time ()
void | webkit_dom_text_track_cue_set_end_time ()
gboolean | webkit_dom_text_track_cue_get_pause_on_exit ()
void | webkit_dom_text_track_cue_set_pause_on_exit ()
gchar * | webkit_dom_text_track_cue_get_vertical ()
void | webkit_dom_text_track_cue_set_vertical ()
gboolean | webkit_dom_text_track_cue_get_snap_to_lines ()
void | webkit_dom_text_track_cue_set_snap_to_lines ()
glong | webkit_dom_text_track_cue_get_line ()
void | webkit_dom_text_track_cue_set_line ()
glong | webkit_dom_text_track_cue_get_position ()
void | webkit_dom_text_track_cue_set_position ()
glong | webkit_dom_text_track_cue_get_size ()
void | webkit_dom_text_track_cue_set_size ()
gchar * | webkit_dom_text_track_cue_get_align ()
void | webkit_dom_text_track_cue_set_align ()
gchar * | webkit_dom_text_track_cue_get_text ()
void | webkit_dom_text_track_cue_set_text ()

## Properties

gchar * | align | Read / Write
gdouble | end-time | Read / Write
gchar * | id | Read / Write
glong | line | Read / Write
gboolean | pause-on-exit | Read / Write
glong | position | Read / Write
glong | size | Read / Write
gboolean | snap-to-lines | Read / Write
gdouble | start-time | Read / Write
gchar * | text | Read / Write
WebKitDOMTextTrack * | track | Read
gchar * | vertical | Read / Write

## Types and Values

| WebKitDOMTextTrackCue

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTextTrackCue

## Implemented Interfaces

WebKitDOMTextTrackCue implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_text_track_cue_get_cue_as_html ()

    WebKitDOMDocumentFragment *
    webkit_dom_text_track_cue_get_cue_as_html
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_text_track_cue_dispatch_event ()

    gboolean
    webkit_dom_text_track_cue_dispatch_event
                                   (WebKitDOMTextTrackCue *self,
                                    WebKitDOMEvent *evt,
                                    GError **error);

`webkit_dom_text_track_cue_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMTextTrackCue |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_text_track_cue_get_track ()

    WebKitDOMTextTrack *
    webkit_dom_text_track_cue_get_track (WebKitDOMTextTrackCue *self);

`webkit_dom_text_track_cue_get_track` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A WebKitDOMTextTrack.

[transfer none]

### webkit_dom_text_track_cue_get_id ()

    gchar *
    webkit_dom_text_track_cue_get_id (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gchar

### webkit_dom_text_track_cue_set_id ()

    void
    webkit_dom_text_track_cue_set_id (WebKitDOMTextTrackCue *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gchar |

### webkit_dom_text_track_cue_get_start_time ()

    gdouble
    webkit_dom_text_track_cue_get_start_time
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gdouble

### webkit_dom_text_track_cue_set_start_time ()

    void
    webkit_dom_text_track_cue_set_start_time
                                   (WebKitDOMTextTrackCue *self,
                                    gdouble value,
                                    GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gdouble |
error | GError |

### webkit_dom_text_track_cue_get_end_time ()

    gdouble
    webkit_dom_text_track_cue_get_end_time
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gdouble

### webkit_dom_text_track_cue_set_end_time ()

    void
    webkit_dom_text_track_cue_set_end_time
                                   (WebKitDOMTextTrackCue *self,
                                    gdouble value,
                                    GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gdouble |
error | GError |

### webkit_dom_text_track_cue_get_pause_on_exit ()

    gboolean
    webkit_dom_text_track_cue_get_pause_on_exit
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gboolean

### webkit_dom_text_track_cue_set_pause_on_exit ()

    void
    webkit_dom_text_track_cue_set_pause_on_exit
                                   (WebKitDOMTextTrackCue *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gboolean |

### webkit_dom_text_track_cue_get_vertical ()

    gchar *
    webkit_dom_text_track_cue_get_vertical
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gchar

### webkit_dom_text_track_cue_set_vertical ()

    void
    webkit_dom_text_track_cue_set_vertical
                                   (WebKitDOMTextTrackCue *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gchar |
error | GError |

### webkit_dom_text_track_cue_get_snap_to_lines ()

    gboolean
    webkit_dom_text_track_cue_get_snap_to_lines
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gboolean

### webkit_dom_text_track_cue_set_snap_to_lines ()

    void
    webkit_dom_text_track_cue_set_snap_to_lines
                                   (WebKitDOMTextTrackCue *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gboolean |

### webkit_dom_text_track_cue_get_line ()

    glong
    webkit_dom_text_track_cue_get_line (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A glong

### webkit_dom_text_track_cue_set_line ()

    void
    webkit_dom_text_track_cue_set_line (WebKitDOMTextTrackCue *self,
                                        glong value,
                                        GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A glong |
error | GError |

### webkit_dom_text_track_cue_get_position ()

    glong
    webkit_dom_text_track_cue_get_position
                                   (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A glong

### webkit_dom_text_track_cue_set_position ()

    void
    webkit_dom_text_track_cue_set_position
                                   (WebKitDOMTextTrackCue *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A glong |
error | GError |

### webkit_dom_text_track_cue_get_size ()

    glong
    webkit_dom_text_track_cue_get_size (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A glong

### webkit_dom_text_track_cue_set_size ()

    void
    webkit_dom_text_track_cue_set_size (WebKitDOMTextTrackCue *self,
                                        glong value,
                                        GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A glong |
error | GError |

### webkit_dom_text_track_cue_get_align ()

    gchar *
    webkit_dom_text_track_cue_get_align (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gchar

### webkit_dom_text_track_cue_set_align ()

    void
    webkit_dom_text_track_cue_set_align (WebKitDOMTextTrackCue *self,
                                         const gchar *value,
                                         GError **error);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gchar |
error | GError |

### webkit_dom_text_track_cue_get_text ()

    gchar *
    webkit_dom_text_track_cue_get_text (WebKitDOMTextTrackCue *self);

#### Parameters

self | A WebKitDOMTextTrackCue |

#### Returns

A gchar

### webkit_dom_text_track_cue_set_text ()

    void
    webkit_dom_text_track_cue_set_text (WebKitDOMTextTrackCue *self,
                                        const gchar *value);

#### Parameters

self | A WebKitDOMTextTrackCue |
value | A gchar |

## Types and Values

### WebKitDOMTextTrackCue

    typedef struct _WebKitDOMTextTrackCue WebKitDOMTextTrackCue;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* TextTrackCue:align.

Flags: Read / Write

Default value: ""

### The `“end-time”` property

      “end-time”                 gdouble

read-write gdouble TextTrackCue:end-time.

Flags: Read / Write

Default value: 0

### The `“id”` property

      “id”                       gchar *

read-write gchar* TextTrackCue:id.

Flags: Read / Write

Default value: ""

### The `“line”` property

      “line”                     glong

read-write glong TextTrackCue:line.

Flags: Read / Write

Default value: 0

### The `“pause-on-exit”` property

      “pause-on-exit”            gboolean

read-write gboolean TextTrackCue:pause-on-exit.

Flags: Read / Write

Default value: FALSE

### The `“position”` property

      “position”                 glong

read-write glong TextTrackCue:position.

Flags: Read / Write

Default value: 0

### The `“size”` property

      “size”                     glong

read-write glong TextTrackCue:size.

Flags: Read / Write

Default value: 0

### The `“snap-to-lines”` property

      “snap-to-lines”            gboolean

read-write gboolean TextTrackCue:snap-to-lines.

Flags: Read / Write

Default value: FALSE

### The `“start-time”` property

      “start-time”               gdouble

read-write gdouble TextTrackCue:start-time.

Flags: Read / Write

Default value: 0

### The `“text”` property

      “text”                     gchar *

read-write gchar* TextTrackCue:text.

Flags: Read / Write

Default value: ""

### The `“track”` property

      “track”                    WebKitDOMTextTrack *

read-only WebKitDOMTextTrack* TextTrackCue:track.

Flags: Read

### The `“vertical”` property

      “vertical”                 gchar *

read-write gchar* TextTrackCue:vertical.

Flags: Read / Write

Default value: ""